質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.80%

rails sをすると古いバージョンのrubyを使ってしまう。

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,981

score 59

今回ruby2.0.0という古いバージョンのものからruby2.2.3に新しくしたのですが、rails sをしたときに後者で立ち上がりません。なぜでしょうか?異なるバージョンのrubyがふたつはいっているということでしょうか?初心者ですが、宜しくお願いいたします!(rails new の段階では既に新しいバージョンのrubyをいれています!)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • gouf

    2015/10/17 20:29

    rbenv やrvm などのバージョン切り替えソフトを利用されての問題ですか?

    キャンセル

  • coco_bauer

    2015/10/19 15:01

    コマンド ruby -v で、rubyのバージョンを表示させてみてください。どうなりますか? ruby2.0.0と表示されるなら、 コマンド rbenv global 2.2.3 で、デフォールトのrubyのバージョンを指定してみてください。

    キャンセル

  • zeben

    2015/10/19 15:04

    ruby -vではruby2.2.3になります。初歩的な質問で申し訳ないのですが、こういった事をする際にはどこのフォルダで行えば良いのでしょうか?usernameの場所で良いのでしょうか?

    キャンセル

  • zeben

    2015/10/19 15:05

    rbenvを使用しての事です!

    キャンセル

回答 1

0

rails new したディレクトリに.ruby-version というファイルはありませんか?
* あたらしいバージョンをインストール後、rbenv global ないしrbenv local は実行されましたか?

# コマンド操作で見るrbenv の動作

# 利用可能なバージョン
cd ~
rbenv versions
  system
* 2.0.0 (set by /home/my_username/.rbenv/version)
  2.1.5
  2.2.3
ruby -v # => 2.0.0

# ディレクトリの作成とバージョン切り替え(local)
mkdir foo; cd foo
rbenv local 2.2.3 # .ruby-version が生成される
ruby -v # => 2.2.3

# ホームディレクトリに戻ってバージョン確認
cd ~
ruby -v # => 2.0.0

# バージョン切り替え(global)
rbenv global 2.1.5
ruby -v # => 2.1.5

# バージョン確認
cd foo
ruby -v # => 2.2.3

# .ruby-version を削除後のバージョン確認
rm .ruby-version
ruby -v # => 2.1.5

各コマンドの概要はrbenv --help で確認してみてください

# .ruby-version ?

.ruby-version:

2.2.3

.ruby-version にはrbenv local で設定した値が記録されています

何か参考になれば幸いです

# Links

sstephenson/rbenv - GitHub
rbenv/README.md at master · sstephenson/rbenv - GitHub

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.80%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る